For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a taxjar account

How to create a taxjar account via API

To create a new taxjar account, send a POST request to the /api/2026-05/taxjar_accounts endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.name

string

Required

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

attributes.api_key

string

Required

relationships.tax_categories

array

Optional

Example

The following request creates a new taxjar account:

curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "taxjar_accounts",
    "attributes": {
      "name": "Personal tax calculator",
      "api_key": "TAXJAR_API_KEY"
    }
  }
}'

On success, the API responds with a 201 Created status code, returning the created resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "taxjar_accounts",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Personal tax calculator",
      "type": "taxjar_accounts",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "markets": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/relationships/markets",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/markets"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/attachments"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/event_stores"
        }
      },
      "tax_categories": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/relationships/tax_categories",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/taxjar_accounts/XAyRWNUzyN/tax_categories"
        }
      }
    },
    "meta": {
      "created_with_version": "2026-05"
    }
  },
  "meta": {
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74",
    "api_versions": [
      "2017-08",
      "2026-05"
    ]
  }
}

Last updated